summaryrefslogtreecommitdiffstats
path: root/defaultenv
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2015-03-09 08:30:24 +0100
committerSascha Hauer <s.hauer@pengutronix.de>2015-03-09 08:30:24 +0100
commitac81a0d8768d75484212b208b6c42f6d11241c16 (patch)
treede3cf7aef1dd7892eb17c4a2e998a48b1be39df2 /defaultenv
parentc3efa8470b3addb3cfbcfbf2a2be1ed799489623 (diff)
parent7033089ddf4c62fa2cfd4549d2bbfe0c101c65d1 (diff)
downloadbarebox-ac81a0d8768d75484212b208b6c42f6d11241c16.tar.gz
Merge branch 'for-next/misc'
Diffstat (limited to 'defaultenv')
-rw-r--r--defaultenv/defaultenv-2-base/bin/init7
1 files changed, 5 insertions, 2 deletions
diff --git a/defaultenv/defaultenv-2-base/bin/init b/defaultenv/defaultenv-2-base/bin/init
index 34807bc..30651e5 100644
--- a/defaultenv/defaultenv-2-base/bin/init
+++ b/defaultenv/defaultenv-2-base/bin/init
@@ -37,6 +37,7 @@ fi
# allow to stop the boot before execute the /env/init/*
# but without waiting
timeout -s -a -v key 0
+autoboot="$?"
if [ "${key}" = "q" ]; then
${login_cmd}
@@ -57,8 +58,10 @@ fi
[ -n ${login_cmd} ] && global.console.input_allow=1
-timeout -a $global.autoboot_timeout -v key
-autoboot="$?"
+if [ "$autoboot" = 0 ]; then
+ timeout -a $global.autoboot_timeout -v key
+ autoboot="$?"
+fi
[ -n ${login_cmd} ] && global.console.input_allow=0